-- this file display the important parameters
require 'common'

print("------- Info from common.lua --------------")
print("-- Use Periodic    ",usePeriodic)
print("-- Use Multi-level ",multi_level)
print("-- Use Obstacle    ",useObstacle)
print("-- Reynolds number = "..Reynolds)
print("")
print("-- Level is ",level)
print("-- The dx is "..dx)
print("-- The dt is "..dt)
print("-----    LB Parameters    -----------------")
print("-- The channel length is: "..lx)
print("-- The channel height is: "..ly)
print("-- tmaxLB is "..tmaxLB)
print("-- Omega is "..omega)
print("-- nuLB is "..nuLB)
print("-- Max velocity LB is "..velMaxLB )
--print("-- Density slope  is "..D_slope)
print("-----   Physical Parameters   -------------")
print("-- The channel length is: "..length)
print("-- The channel height is: "..height)
print("-- tmaxPhy is: "..tmaxPhy )
print("-- density is: "..densityPhy )
print("-- nuPhy is: "..nuPhy )
print("-- velMaxPhy is: "..velMaxPhy )
print("-- Total pressure drop is: "..dp )
print("-- Pressure @ outlet is: "..p0Phy )
print("-- Pressure @ inlet  is: "..p0Phy+dp )
--print("-- velocity phy   is "..vel_phy )
print("-----   nonNewtonian Parameters   ---------")
print("-- n = "..n_PL )
print("-- k = "..nuPhy)
print("-------------------------------------------")

